## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         commit       47c52cb3e19c4757093b812876ea245d7fc0b62d
%global         shortcommit  %(c=%{commit}; echo ${c:0:7})
%global         date         20242024
Name:           seastar
Version:        22.11.0^%{date}.%{shortcommit}
Release:        %autorelease
Summary:        Server side non-blocking and asynchronous code framework

License:        Apache-2.0
URL:            https://github.com/scylladb/seastar
Source:         %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Patch:          soname.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  cryptopp-devel
BuildRequires:  c-ares-devel
BuildRequires:  diffutils
BuildRequires:  dpdk-devel
BuildRequires:  doxygen
BuildRequires:  fmt-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gnutls-devel
BuildRequires:  hwloc-devel
BuildRequires:  libidn2-devel
BuildRequires:  libpciaccess-devel
BuildRequires:  libtool
BuildRequires:  libunistring-devel
BuildRequires:  liburing-devel
BuildRequires:  libxml2-devel
BuildRequires:  lksctp-tools-devel
BuildRequires:  lz4-devel
BuildRequires:  make
BuildRequires:  ninja-build
BuildRequires:  numactl-devel
BuildRequires:  openssl
BuildRequires:  ragel
BuildRequires:  systemtap-sdt-devel
BuildRequires:  protobuf-devel
BuildRequires:  python3
BuildRequires:  stow
BuildRequires:  trousers-devel
BuildRequires:  valgrind-devel
BuildRequires:  xfsprogs-devel
BuildRequires:  yaml-cpp-devel
    
%global _description %{expand:
SeaStar is an event-driven framework allowing you to write non-blocking,
asynchronous code in a relatively straightforward manner (once understood).
It is based on futures.}

%description
%_desciption

%package devel
Summary:        Header and development files for seastar
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%_description

%prep
%autosetup -n seastar-%{commit} -p 1


%build
%cmake
%cmake_build

%install
%cmake_install

%check
# smoke test


%files
%license LICENSE
%doc README.md
%{_bindir}/seastar-json2code.py
%{_libdir}/libseastar.so.22*
%{_libdir}/libseastar_perf_testing.so.22*
%{_libdir}/libseastar_testing.so.22*

%files devel
%dir %{_includedir}/seastar
%dir %{_includedir}/seastar/core
%{_includedir}/seastar/core/*.hh
%dir %{_includedir}/seastar/core/internal
%{_includedir}/seastar/core/internal/*.hh
%dir %{_includedir}/seastar/coroutine
%{_includedir}/seastar/coroutine/*.hh
%dir %{_includedir}/seastar/http
%{_includedir}/seastar/http/*.hh
%dir %{_includedir}/seastar/http/internal
%{_includedir}/seastar/http/internal/*.hh
%dir %{_includedir}/seastar/json
%{_includedir}/seastar/json/*.hh
%dir %{_includedir}/seastar/net
%{_includedir}/seastar/net/*.hh
%dir %{_includedir}/seastar/testing
%{_includedir}/seastar/testing/*.hh
%dir %{_includedir}/seastar/rpc
%{_includedir}/seastar/rpc/*.hh
%dir %{_includedir}/seastar/util
%{_includedir}/seastar/util/*.hh
%dir %{_includedir}/seastar/util/internal
%{_includedir}/seastar/util/internal/*.hh
%dir %{_includedir}/seastar/websocket
%{_includedir}/seastar/websocket/*.hh
%dir %{_libdir}/cmake/Seastar
%{_libdir}/cmake/Seastar/*.cmake
%dir %{_libdir}/cmake/Seastar/code_tests
%{_libdir}/cmake/Seastar/code_tests/*.cc
%{_libdir}/pkgconfig/seastar-testing.pc
%{_libdir}/pkgconfig/seastar.pc
%{_libdir}/libseastar.so
%{_libdir}/libseastar_perf_testing.so
%{_libdir}/libseastar_testing.so

%changelog
## START: Generated by rpmautospec
* Sun Oct 27 2024 John Doe <packager@example.com> - 22.11.0^20242024.47c52cb-1
- Uncommitted changes
## END: Generated by rpmautospec
